'use strict';
import 'hslayers-ng/components/core';
// hslayers-ng components must be loaded first, otherwise angular will be undefined
// eslint-disable-next-line sort-imports-es6-autofix/sort-imports-es6
import * as angular from 'angular';
import {downgradeInjectable} from '@angular/upgrade/static';

import './adjuster/';
import {AppComponent} from './app.component';
import {AppConfig} from './app.config';
import {AppService} from './app.service';

export default angular
  .module('hs', [
    'hs.core',
    //'getteext',
    'pra.adjuster',
  ])
  .value('HsConfig', AppConfig)
  .component('hs', AppComponent)
  .service('AppService', downgradeInjectable(AppService));
